Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network247.0.32.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
247.0.32.0
Broadcast address
247.0.35.255
First usable
247.0.32.1
Last usable
247.0.35.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F7002000 · Integer 4143980544 to 4143981567
Reverse DNS zones
32.0.247.in-addr.arpa
33.0.247.in-addr.arpa
34.0.247.in-addr.arpa
35.0.247.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110111.00000000.00100000.00000000247.0.32.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11110111.00000000.00100000.00000000247.0.32.0
Broadcast11110111.00000000.00100011.11111111247.0.35.255
Split into smaller subnets/29

247.0.32.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1247.0.32.0/29247.0.32.1 to 247.0.32.6247.0.32.76
2247.0.32.8/29247.0.32.9 to 247.0.32.14247.0.32.156
3247.0.32.16/29247.0.32.17 to 247.0.32.22247.0.32.236
4247.0.32.24/29247.0.32.25 to 247.0.32.30247.0.32.316
5247.0.32.32/29247.0.32.33 to 247.0.32.38247.0.32.396
6247.0.32.40/29247.0.32.41 to 247.0.32.46247.0.32.476
7247.0.32.48/29247.0.32.49 to 247.0.32.54247.0.32.556
8247.0.32.56/29247.0.32.57 to 247.0.32.62247.0.32.636
9247.0.32.64/29247.0.32.65 to 247.0.32.70247.0.32.716
10247.0.32.72/29247.0.32.73 to 247.0.32.78247.0.32.796
11247.0.32.80/29247.0.32.81 to 247.0.32.86247.0.32.876
12247.0.32.88/29247.0.32.89 to 247.0.32.94247.0.32.956
13247.0.32.96/29247.0.32.97 to 247.0.32.102247.0.32.1036
14247.0.32.104/29247.0.32.105 to 247.0.32.110247.0.32.1116
15247.0.32.112/29247.0.32.113 to 247.0.32.118247.0.32.1196
16247.0.32.120/29247.0.32.121 to 247.0.32.126247.0.32.1276
17247.0.32.128/29247.0.32.129 to 247.0.32.134247.0.32.1356
18247.0.32.136/29247.0.32.137 to 247.0.32.142247.0.32.1436
19247.0.32.144/29247.0.32.145 to 247.0.32.150247.0.32.1516
20247.0.32.152/29247.0.32.153 to 247.0.32.158247.0.32.1596
21247.0.32.160/29247.0.32.161 to 247.0.32.166247.0.32.1676
22247.0.32.168/29247.0.32.169 to 247.0.32.174247.0.32.1756
23247.0.32.176/29247.0.32.177 to 247.0.32.182247.0.32.1836
24247.0.32.184/29247.0.32.185 to 247.0.32.190247.0.32.1916
25247.0.32.192/29247.0.32.193 to 247.0.32.198247.0.32.1996
26247.0.32.200/29247.0.32.201 to 247.0.32.206247.0.32.2076
27247.0.32.208/29247.0.32.209 to 247.0.32.214247.0.32.2156
28247.0.32.216/29247.0.32.217 to 247.0.32.222247.0.32.2236
29247.0.32.224/29247.0.32.225 to 247.0.32.230247.0.32.2316
30247.0.32.232/29247.0.32.233 to 247.0.32.238247.0.32.2396
31247.0.32.240/29247.0.32.241 to 247.0.32.246247.0.32.2476
32247.0.32.248/29247.0.32.249 to 247.0.32.254247.0.32.2556
33247.0.33.0/29247.0.33.1 to 247.0.33.6247.0.33.76
34247.0.33.8/29247.0.33.9 to 247.0.33.14247.0.33.156
35247.0.33.16/29247.0.33.17 to 247.0.33.22247.0.33.236
36247.0.33.24/29247.0.33.25 to 247.0.33.30247.0.33.316
37247.0.33.32/29247.0.33.33 to 247.0.33.38247.0.33.396
38247.0.33.40/29247.0.33.41 to 247.0.33.46247.0.33.476
39247.0.33.48/29247.0.33.49 to 247.0.33.54247.0.33.556
40247.0.33.56/29247.0.33.57 to 247.0.33.62247.0.33.636
41247.0.33.64/29247.0.33.65 to 247.0.33.70247.0.33.716
42247.0.33.72/29247.0.33.73 to 247.0.33.78247.0.33.796
43247.0.33.80/29247.0.33.81 to 247.0.33.86247.0.33.876
44247.0.33.88/29247.0.33.89 to 247.0.33.94247.0.33.956
45247.0.33.96/29247.0.33.97 to 247.0.33.102247.0.33.1036
46247.0.33.104/29247.0.33.105 to 247.0.33.110247.0.33.1116
47247.0.33.112/29247.0.33.113 to 247.0.33.118247.0.33.1196
48247.0.33.120/29247.0.33.121 to 247.0.33.126247.0.33.1276
49247.0.33.128/29247.0.33.129 to 247.0.33.134247.0.33.1356
50247.0.33.136/29247.0.33.137 to 247.0.33.142247.0.33.1436
51247.0.33.144/29247.0.33.145 to 247.0.33.150247.0.33.1516
52247.0.33.152/29247.0.33.153 to 247.0.33.158247.0.33.1596
53247.0.33.160/29247.0.33.161 to 247.0.33.166247.0.33.1676
54247.0.33.168/29247.0.33.169 to 247.0.33.174247.0.33.1756
55247.0.33.176/29247.0.33.177 to 247.0.33.182247.0.33.1836
56247.0.33.184/29247.0.33.185 to 247.0.33.190247.0.33.1916
57247.0.33.192/29247.0.33.193 to 247.0.33.198247.0.33.1996
58247.0.33.200/29247.0.33.201 to 247.0.33.206247.0.33.2076
59247.0.33.208/29247.0.33.209 to 247.0.33.214247.0.33.2156
60247.0.33.216/29247.0.33.217 to 247.0.33.222247.0.33.2236
61247.0.33.224/29247.0.33.225 to 247.0.33.230247.0.33.2316
62247.0.33.232/29247.0.33.233 to 247.0.33.238247.0.33.2396
63247.0.33.240/29247.0.33.241 to 247.0.33.246247.0.33.2476
64247.0.33.248/29247.0.33.249 to 247.0.33.254247.0.33.2556
65247.0.34.0/29247.0.34.1 to 247.0.34.6247.0.34.76
66247.0.34.8/29247.0.34.9 to 247.0.34.14247.0.34.156
67247.0.34.16/29247.0.34.17 to 247.0.34.22247.0.34.236
68247.0.34.24/29247.0.34.25 to 247.0.34.30247.0.34.316
69247.0.34.32/29247.0.34.33 to 247.0.34.38247.0.34.396
70247.0.34.40/29247.0.34.41 to 247.0.34.46247.0.34.476
71247.0.34.48/29247.0.34.49 to 247.0.34.54247.0.34.556
72247.0.34.56/29247.0.34.57 to 247.0.34.62247.0.34.636
73247.0.34.64/29247.0.34.65 to 247.0.34.70247.0.34.716
74247.0.34.72/29247.0.34.73 to 247.0.34.78247.0.34.796
75247.0.34.80/29247.0.34.81 to 247.0.34.86247.0.34.876
76247.0.34.88/29247.0.34.89 to 247.0.34.94247.0.34.956
77247.0.34.96/29247.0.34.97 to 247.0.34.102247.0.34.1036
78247.0.34.104/29247.0.34.105 to 247.0.34.110247.0.34.1116
79247.0.34.112/29247.0.34.113 to 247.0.34.118247.0.34.1196
80247.0.34.120/29247.0.34.121 to 247.0.34.126247.0.34.1276
81247.0.34.128/29247.0.34.129 to 247.0.34.134247.0.34.1356
82247.0.34.136/29247.0.34.137 to 247.0.34.142247.0.34.1436
83247.0.34.144/29247.0.34.145 to 247.0.34.150247.0.34.1516
84247.0.34.152/29247.0.34.153 to 247.0.34.158247.0.34.1596
85247.0.34.160/29247.0.34.161 to 247.0.34.166247.0.34.1676
86247.0.34.168/29247.0.34.169 to 247.0.34.174247.0.34.1756
87247.0.34.176/29247.0.34.177 to 247.0.34.182247.0.34.1836
88247.0.34.184/29247.0.34.185 to 247.0.34.190247.0.34.1916
89247.0.34.192/29247.0.34.193 to 247.0.34.198247.0.34.1996
90247.0.34.200/29247.0.34.201 to 247.0.34.206247.0.34.2076
91247.0.34.208/29247.0.34.209 to 247.0.34.214247.0.34.2156
92247.0.34.216/29247.0.34.217 to 247.0.34.222247.0.34.2236
93247.0.34.224/29247.0.34.225 to 247.0.34.230247.0.34.2316
94247.0.34.232/29247.0.34.233 to 247.0.34.238247.0.34.2396
95247.0.34.240/29247.0.34.241 to 247.0.34.246247.0.34.2476
96247.0.34.248/29247.0.34.249 to 247.0.34.254247.0.34.2556
97247.0.35.0/29247.0.35.1 to 247.0.35.6247.0.35.76
98247.0.35.8/29247.0.35.9 to 247.0.35.14247.0.35.156
99247.0.35.16/29247.0.35.17 to 247.0.35.22247.0.35.236
100247.0.35.24/29247.0.35.25 to 247.0.35.30247.0.35.316
101247.0.35.32/29247.0.35.33 to 247.0.35.38247.0.35.396
102247.0.35.40/29247.0.35.41 to 247.0.35.46247.0.35.476
103247.0.35.48/29247.0.35.49 to 247.0.35.54247.0.35.556
104247.0.35.56/29247.0.35.57 to 247.0.35.62247.0.35.636
105247.0.35.64/29247.0.35.65 to 247.0.35.70247.0.35.716
106247.0.35.72/29247.0.35.73 to 247.0.35.78247.0.35.796
107247.0.35.80/29247.0.35.81 to 247.0.35.86247.0.35.876
108247.0.35.88/29247.0.35.89 to 247.0.35.94247.0.35.956
109247.0.35.96/29247.0.35.97 to 247.0.35.102247.0.35.1036
110247.0.35.104/29247.0.35.105 to 247.0.35.110247.0.35.1116
111247.0.35.112/29247.0.35.113 to 247.0.35.118247.0.35.1196
112247.0.35.120/29247.0.35.121 to 247.0.35.126247.0.35.1276
113247.0.35.128/29247.0.35.129 to 247.0.35.134247.0.35.1356
114247.0.35.136/29247.0.35.137 to 247.0.35.142247.0.35.1436
115247.0.35.144/29247.0.35.145 to 247.0.35.150247.0.35.1516
116247.0.35.152/29247.0.35.153 to 247.0.35.158247.0.35.1596
117247.0.35.160/29247.0.35.161 to 247.0.35.166247.0.35.1676
118247.0.35.168/29247.0.35.169 to 247.0.35.174247.0.35.1756
119247.0.35.176/29247.0.35.177 to 247.0.35.182247.0.35.1836
120247.0.35.184/29247.0.35.185 to 247.0.35.190247.0.35.1916
121247.0.35.192/29247.0.35.193 to 247.0.35.198247.0.35.1996
122247.0.35.200/29247.0.35.201 to 247.0.35.206247.0.35.2076
123247.0.35.208/29247.0.35.209 to 247.0.35.214247.0.35.2156
124247.0.35.216/29247.0.35.217 to 247.0.35.222247.0.35.2236
125247.0.35.224/29247.0.35.225 to 247.0.35.230247.0.35.2316
126247.0.35.232/29247.0.35.233 to 247.0.35.238247.0.35.2396
127247.0.35.240/29247.0.35.241 to 247.0.35.246247.0.35.2476
128247.0.35.248/29247.0.35.249 to 247.0.35.254247.0.35.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses